Groups

Get Group by ID

GET
/groups/{groupId}

Returns a single Group by ID.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

groupId*string

Must be a valid group ID.

Query Parameters

includeRoles?boolean

Include roles for the Group object. Defaults to false.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/groups/grp_00000000-0000-0000-0000-000000000000"
{
  "ageVerificationBetaCode": "abc1234",
  "ageVerificationBetaSlots": 500,
  "ageVerificationSlotsAvailable": true,
  "allowGroupJoinPrompt": true,
  "badges": [
    "string"
  ],
  "bannerId": "string",
  "bannerUrl": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "description": "string",
  "discriminator": "0000",
  "galleries": [
    {
      "createdAt": "2019-08-24T14:15:22Z",
      "description": "Example Description",
      "id": "ggal_a03a4b55-4ca6-4490-9519-40ba6351a233",
      "membersOnly": false,
      "name": "Example Gallery",
      "roleIdsToAutoApprove": [
        "grol_459d3911-f672-44bc-b84d-e54ffe7960fe"
      ],
      "roleIdsToManage": [
        "grol_459d3911-f672-44bc-b84d-e54ffe7960fe"
      ],
      "roleIdsToSubmit": [
        "grol_459d3911-f672-44bc-b84d-e54ffe7960fe"
      ],
      "roleIdsToView": [
        "grol_459d3911-f672-44bc-b84d-e54ffe7960fe"
      ],
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "iconId": "string",
  "iconUrl": "string",
  "id": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
  "isVerified": false,
  "joinState": "closed",
  "languages": [
    "string"
  ],
  "lastPostCreatedAt": "2019-08-24T14:15:22Z",
  "links": [
    "string"
  ],
  "memberCount": 0,
  "memberCountSyncedAt": "2019-08-24T14:15:22Z",
  "membershipStatus": "member",
  "myMember": {
    "acceptedByDisplayName": "string",
    "acceptedById": "string",
    "bannedAt": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "groupId": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
    "has2FA": false,
    "hasJoinedFromPurchase": false,
    "id": "gmem_95cdb3b4-4643-4eb6-bdab-46a4e1e5ce37",
    "isRepresenting": false,
    "isSubscribedToAnnouncements": true,
    "isSubscribedToEventAnnouncements": true,
    "joinedAt": "2019-08-24T14:15:22Z",
    "lastPostReadAt": "2019-08-24T14:15:22Z",
    "mRoleIds": [
      "string"
    ],
    "managerNotes": "string",
    "membershipStatus": "member",
    "permissions": [
      "*"
    ],
    "roleIds": [
      "grol_459d3911-f672-44bc-b84d-e54ffe7960fe"
    ],
    "userId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
    "visibility": "visible"
  },
  "name": "string",
  "onlineMemberCount": 0,
  "ownerId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "privacy": "default",
  "roles": [
    {
      "createdAt": "2019-08-24T14:15:22Z",
      "description": "string",
      "groupId": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
      "id": "grol_459d3911-f672-44bc-b84d-e54ffe7960fe",
      "isManagementRole": false,
      "isSelfAssignable": false,
      "name": "string",
      "order": 0,
      "permissions": [
        "*"
      ],
      "requiresPurchase": false,
      "requiresTwoFactor": false,
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "rules": "string",
  "shortCode": "VRCHAT",
  "tags": [
    "string"
  ],
  "transferTargetId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}
{
  "error": {
    "message": "Can't find groupǃ",
    "status_code": 404
  }
}